# SessionHandlerInterface::gc

(PHP 5 >= 5.4.0, PHP 7)

SessionHandlerInterface::gc — Cleanup old sessions

### Description

abstract public SessionHandlerInterface::gc ( int `$maxlifetime` ) : int

Cleans up expired sessions. Called by session_start(), based on session.gc_divisor, session.gc_probability and session.gc_maxlifetime settings.

### Parameters

`maxlifetime`

  Sessions that have not updated for the last `maxlifetime` seconds will be removed.

### Return Values

The return value (usually `TRUE` on success, `FALSE` on failure). Note this value is returned internally to PHP for processing.